%global momorel 2
%global geckover 1.9.2

Summary: JavaScript bindings based on gobject-introspection
Name: gjs
Version: 0.7
Release: %{momorel}m%{?dist}
License: BSD
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.7/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig

BuildRequires: xulrunner-devel >= %{geckover}
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: dbus-glib-devel

# for git archive only
BuildRequires: libtool automake autoconf

%description
This module contains JavaScript bindings based on
gobject-introspection.

Because JavaScript is pretty free-form, consistent coding style and
unit tests are critical to give it some structure and keep it
readable.  We propose that all GNOME usage of JavaScript conform to
the style guide in doc/Style_Guide.txt to help keep things sane.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gjs
%{_bindir}/gjs-console
%{_libdir}/libgjs-dbus.so.*
%{_libdir}/libgjs-gi.so.*
%{_libdir}/libgjs.so.*
%exclude %{_libdir}/*.la
%{_libdir}/gjs-1.0

%{_datadir}/gjs-1.0

%files devel
%defattr(-, root, root)
%{_includedir}/gjs-1.0
%{_libdir}/libgjs-dbus.so
%{_libdir}/libgjs-gi.so
%{_libdir}/libgjs.so
%{_libdir}/pkgconfig/gjs-1.0.pc
%{_libdir}/pkgconfig/gjs-dbus-1.0.pc
%{_libdir}/pkgconfig/gjs-gi-1.0.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7-2m)
- full rebuild for mo7 release

* Thu May 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-1m)
- update to 0.7

* Tue May 04 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-2m)
- rebuild against readline6

* Fri Mar 19 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6-1m)
- update to 0.6

* Thu Feb 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5-1m)
- update to 0.5

* Mon Feb  1 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5-0.1.1m)
- update to git snapshot (a16783b) for xulrunner-1.9.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-2m)
- to main

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-1m)
- initial build
